import { FeedbackComponent } from "./feedback.component";
import { FeedbackScreenshotComponent } from "./feedback-screenshot.component";
import { FeedbackModalComponent } from "./feedback-modal.component";
export declare class FeedbackService {
    buttonComponent: FeedbackComponent;
    modalComponent: FeedbackModalComponent;
    screenshotComponent: FeedbackScreenshotComponent;
    /**
     * Clear all screenshots.
     */
    clearScreenshots(): void;
    /**
     * Destroy screenshot canvas.
     */
    destroyCanvas(): void;
    /**
     * Get all screenshots.
     * @return {Array} the screenshots.
     */
    getScreenshots(): string[];
    /**
     * Hide the feedback modal.
     */
    hideFeedbackModal(): void;
    /**
     * Hide send feedback button.
     */
    hideSendFeedbackButton(): void;
    /**
     * Lock take screenshot buttons.
     */
    lockTakeScreenshotButtons(): void;
    /**
     * Unlock take screenshot buttons.
     */
    unlockTakeScreenshotButtons(): void;
    /**
     * Show feedback modal.
     */
    showFeedbackModal(): void;
    /**
     * Show send feedback button.
     */
    showSendFeedbackButton(): void;
    /**
     * Set screenshot mode.
     * @param isScreenshotMode whether screenshot mode or not.
     */
    setScreenshotMode(isScreenshotMode: boolean): void;
    /**
     * Take a screenshot.
     */
    takeScreenshot(): void;
}
